Subject: [Bridge-mib] RE: LLDP MIBs

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 14 Apr 2004 17:39:22 +0200

I get these SMICng errors:

  C:\bwijnen\smicng\work>smicng lldp.inc
  E: f(lldp.mib), (493,15) Default value for
    "lldpPortConfigAdminStatus" must be a name and not a number
  E: f(lldp.mib), (506,15) Default value for
    "lldpPortConfigNotificationEnable" must be a name and not a number

  *** 2 errors and 0 warnings in parsing

Have only done SMICng checking sofar

Thanks,
Bert 

> -----Original Message-----
> From: Harrington, David [mailto:[email-masked]]
> Sent: dinsdag 6 april 2004 17:52
> To: [email-masked]
> Cc: Mreview (E-mail)
> Subject: FW: LLDP MIBs
> 
> 
> Hi,
> 
> FYI.
> 
> These are the latest revisions of the mibs for the 802.1AB Link-Layer
> discovery protocol. These are being developed in the IEEE. I 
> welcome any
> review you can manage. Any comments must be filed with the IEEE by the
> end of this week. 
> 
> dbh
> 
> -----Original Message-----
> From: CONGDON,PAUL (HP-Roseville,ex1) [mailto:[email-masked]] 
> Sent: Tuesday, March 30, 2004 4:48 PM
> To: McTague, Charles; Harrington, David; 'Romascanu, Dan (Dan)'; 'Les
> Bell'
> Subject: FW: LLDP MIBs
> 
> 
> Here is the next set of pre-view stuff for D9. I will be 
> uploading this
> to
> the 802.1 web-site and announcing it to the group, but since you folks
> are
> likely the ones to perform any kind of real review I wanted 
> to get it to
> you
> sooner than later...
> 
> Paul
> 
> -----Original Message-----
> From: Cetin Ersoy [mailto:[email-masked]] 
> Sent: Tuesday, March 30, 2004 9:39 AM
> To: Congdon, Paul
> Subject: LLDP MIBs
> 
> 
> Paul,
> Attached please find the updated LLDP base and extension MIB 
> modules. In
> order to make the review process easier, I also attached the diffs (as
> pdf
> documents.)  These diffs show the differences between the preview MIBs
> and
> MIBs with the recent updates. Above is the list of what have 
> changed in
> this
> version.  I tried to map some items to proposed comments 
> where comments
> are
> applicable. LLDP base MIB:
> --------------
>    o Updated MODULE-IDENTITY Clauses.  (Comment 77)
>    o Fixed typo in lldpExtensions. (Comment 82)
>    o Added references to external MIB objects that are used in TCs.
>      (Comment 78)
>    o Added 'ifName' enumeration to LldpChassisIdType and 
> LldpPortIdType
>      TCs. 
>      (Comment 79)
>    o Added 'agentCircuitId' enumeration to LldpPortIdType TC.
>      (Comment 83)
>    o Added reference to the Std. in LldpManAddrIfSubtype description.
>    o Improved LldpManAddress description.
>    o Added 'other' enumeration to LldpSystemCapabilitiesMap.
>      (Comment 80)
>    o Extended the LldpPortNumber range to have max 4096 ports and
> changed
>      the LldpPortList syntax accordingly.
>      (Comment 84)
>    o Removed compliance statements from configuration objects 
> regarding
>      non-volatile storage.  I used more generic term 'non-volatile
>      storage' instead of 'non-volatile RAM'.  Please correct 
> me if that
>      is not the right word.
>    o Updated the description of lldpPortConfigAdminStatus object.
>      (Comment 78)
>    o Updated the lldpNotificationInterval object and moved the ability
>      to turn on/off notifications to a per-port basis object called:
>      lldpPortConfigNotificationEnable.  Changed the default 
> value to 5.
>    o Changed the default value of lldpPortConfigTLVsTxEnable to be an
>      empty set.
>    o Removed 'num' from statistical counters.
>      (Comment 78)
>    o Updated descriptions that uses sysUpTime to include references to
>      that object.
>    o Improved description of lldpStatsPortCounterDisconTime.
>    o Updated descriptions of lldpLocSysName, lldpLocSysDesc,
>      lldpLocPortDesc to include references to external objects.
>    o Removed the ambiguous paragraph from lldpRemIndex description.
>    o Updated the description of lldpRemUnknownTLVTable.
>    o Fixed lldpLocManAddrLen objects 'access' type to be 'read-only'
> from
>      'not-accessible'
> LLDP 802.1 extension MIB:
> -------------------------
>    o Removed Editor comments.
>    o Updated lldpXdot1LocPortVlanId, lldpXdot1LocProtoVlanId,
>      lldpXdot1RemPortVlanId, lldpXdot1RemProtoVlanId types to include
>      '0' values.  (Comment 85)
>    o Updated lldpXdot1LocVlanNameTable descriptions.
>      (Comment 86)
>    o Changed lldpXdot1LocVlanId type to VlanId (imported from
>      q-bridge.mib.)
>      (Comment 87)
>    o Updated lldpXdot1LocProtocolTable descriptions.
>      (Comment 88)
> LLDP 802.3 extension MIB:
> -------------------------
>    o Changed the default value of 
> lldpXdot3PortConfigTLVsTxEnable to be
>      an empty set.
>    o Changed lldpXdot3[Loc|Rem]PortPMDCapability,
>      lldpXdot3[Loc|Rem]PortFaultIndication,
> lldpXdot3[Loc|Rem]PowerPairs,
>      lldpXdot3[Loc|Rem]PowerClass objects' types.  Note that 
>      lldpXdot3[Loc|Rem]PortPMDDefaultConfig is really AutonomousType.
>    o Renamed lldpXdot3[Loc|Rem]PowerPair objects to
>      lldpXdot3[Loc|Rem]PowerPairs.
>    o Updated lldpXdot3LocLinkAggPortId and lldpXdot3RemLinkAggPortId 
>      types to include '0' values.
> Please let me know if you have any questions.
> Regards,
> Cetin
> 
> 
> 

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib